Replace AccountPlan
End-dates the specified AccountPlan at the new startDate and creates the new AccountPlan.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
The UUID of the AccountPlan to replace.
Body
The unique identifier (UUID) for the Account.
36The start date (in ISO-8601 format) for the AccountPlan or AccountPlanGroup becoming active for the Account.
The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
User defined fields enabling you to attach custom data. The value for a custom field can be either a string or a number.
If customFields can also be defined for this entity at the Organizational level, customField values defined at individual level override values of customFields with the same name defined at Organization level.
See Working with Custom Fields in the m3ter documentation for more information.
The unique identifier (UUID) of the Plan to be attached to the Account to create an AccountPlan.
Note: Exclusive of the planGroupId request parameter - exactly one of planId or planGroupId must be used per call.
36The unique identifier (UUID) of the PlanGroup to be attached to the Account to create an AccountPlanGroup.
Note: Exclusive of the planId request parameter - exactly one of planId or planGroupId must be used per call.
36The end date (in ISO-8601 format) for when the AccountPlan or AccountPlanGroup ceases to be active for the Account. If not specified, the AccountPlan or AccountPlanGroup remains active indefinitely.
A unique short code for the AccountPlan or AccountPlanGroup.
80^([^[\p{Cntrl}\s]])|([^[\p{Cntrl}\s]][[^[\p{Cntrl}\s]] ]*[^[\p{Cntrl}\s]])$Optional setting to define a billing cycle date, which acts as a reference for when in the applied billing frequency period bills are created:
- For example, if you attach a Plan to an Account where the Plan is configured for monthly billing frequency and you've defined the period the Plan will apply to the Account to be from January 1st, 2022 until January 1st, 2023. You then set a
billEpochdate of February 15th, 2022. The first Bill will be created for the Account on February 15th, and subsequent Bills created on the 15th of the months following for the remainder of the billing period - March 15th, April 15th, and so on. - If not defined, then the
billEpochdate set for the Account will be used instead. - The date is in ISO-8601 format.
The unique identifier (UUID) for a Contract to which you want to add the Plan or Plan Group being attached to the Account.
36If the Account is either a Parent or a Child Account, this specifies the Account hierarchy billing mode. The mode determines how billing will be handled and shown on bills for charges due on the Parent Account, and charges due on Child Accounts:
-
Parent Breakdown - a separate bill line item per Account. Default setting.
-
Parent Summary - single bill line item for all Accounts.
-
Child - the Child Account is billed.
PARENT_SUMMARY, PARENT_BREAKDOWN, CHILD